Bug 1675042 - golang-googlecode-goprotobuf: FTBFS in Fedora rawhide/f30
Summary: golang-googlecode-goprotobuf: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-googlecode-goprotobuf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fridolín Pokorný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 18:36 UTC by Fedora Release Engineering
Modified: 2019-03-03 15:12 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-03 15:12:58 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 18:36 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 18:36 UTC, Fedora Release Engineering
no flags Details
state.log (705 bytes, text/plain)
2019-02-11 18:36 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 18:36:51 UTC
golang-googlecode-goprotobuf failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32397450


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix golang-googlecode-goprotobuf at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-googlecode-goprotobuf will be orphaned. Before branching of Fedora 31,
golang-googlecode-goprotobuf will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 18:36:53 UTC
Created attachment 1530338 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 18:36:55 UTC
Created attachment 1530339 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 18:36:56 UTC
Created attachment 1530340 [details]
state.log

Comment 4 Jakub Čajka 2019-02-13 13:55:33 UTC
Caused by tests failure across all arches:
    golden_test.go:113: golden file differs: my_test/test.pb.go
        --- testdata/my_test/test.pb.go	2018-08-14 21:14:27.000000000 +0000
        +++ /tmp/proto-test244079420/my_test/test.pb.go	2019-02-01 04:09:39.498426716 +0000
        @@ -57,7 +57,7 @@
         	return nil
         }
         func (HatType) EnumDescriptor() ([]byte, []int) {
        -	return fileDescriptor_test_2309d445eee26af7, []int{0}
        +	return fileDescriptor_test_e7f51bc1dc26f0b1, []int{0}
         }
         
         // This enum represents days of the week.
        @@ -97,7 +97,7 @@
         	return nil
         }
         func (Days) EnumDescriptor() ([]byte, []int) {
        -	return fileDescriptor_test_2309d445eee26af7, []int{1}
        +	return fileDescriptor_test_e7f51bc1dc26f0b1, []int{1}
         }
         
         type Request_Color int32
        @@ -136,7 +136,7 @@
         	return nil
         }
         func (Request_Color) EnumDescriptor() ([]byte, []int) {
        -	return fileDescriptor_test_2309d445eee26af7, []int{0, 0}
        +	return fileDescriptor_test_e7f51bc1dc26f0b1, []int{0, 0}
         }
         
         type Reply_Entry_Game int32
        @@ -172,7 +172,7 @@
         	return nil
         }
         func (Reply_Entry_Game) EnumDescriptor() ([]byte, []int) {
        -	return fileDescriptor_test_2309d445eee26af7, []int{1, 0, 0}
        +	return fileDescriptor_test_e7f51bc1dc26f0b1, []int{1, 0, 0}
         }
         
         // This is a message that might be sent somewhere.
        @@ -200,7 +200,7 @@
         func (m *Request) String() string { return proto.CompactTextString(m) }
         func (*Request) ProtoMessage()    {}
         func (*Request) Descriptor() ([]byte, []int) {
        -	return fileDescriptor_test_2309d445eee26af7, []int{0}
        +	return fileDescriptor_test_e7f51bc1dc26f0b1, []int{0}
         }
         func (m *Request) XXX_Unmarshal(b []byte) error {
         	return xxx_messageInfo_Request.Unmarshal(m, b)
        @@ -298,7 +298,7 @@
         func (m *Request_SomeGroup) String() string { return proto.CompactTextString(m) }
         func (*Request_SomeGroup) ProtoMessage()    {}
         func (*Request_SomeGroup) Descriptor() ([]byte, []int) {
        -	return fileDescriptor_test_2309d445eee26af7, []int{0, 0}
        +	return fileDescriptor_test_e7f51bc1dc26f0b1, []int{0, 0}
         }
         func (m *Request_SomeGroup) XXX_Unmarshal(b []byte) error {
         	return xxx_messageInfo_Request_SomeGroup.Unmarshal(m, b)
        @@ -338,7 +338,7 @@
         func (m *Reply) String() string { return proto.CompactTextString(m) }
         func (*Reply) ProtoMessage()    {}
         func (*Reply) Descriptor() ([]byte, []int) {
        -	return fileDescriptor_test_2309d445eee26af7, []int{1}
        +	return fileDescriptor_test_e7f51bc1dc26f0b1, []int{1}
         }
         
         var extRange_Reply = []proto.ExtensionRange{
        @@ -393,7 +393,7 @@
         func (m *Reply_Entry) String() string { return proto.CompactTextString(m) }
         func (*Reply_Entry) ProtoMessage()    {}
         func (*Reply_Entry) Descriptor() ([]byte, []int) {
        -	return fileDescriptor_test_2309d445eee26af7, []int{1, 0}
        +	return fileDescriptor_test_e7f51bc1dc26f0b1, []int{1, 0}
         }
         func (m *Reply_Entry) XXX_Unmarshal(b []byte) error {
         	return xxx_messageInfo_Reply_Entry.Unmarshal(m, b)
        @@ -448,7 +448,7 @@
         func (m *OtherBase) String() string { return proto.CompactTextString(m) }
         func (*OtherBase) ProtoMessage()    {}
         func (*OtherBase) Descriptor() ([]byte, []int) {
        -	return fileDescriptor_test_2309d445eee26af7, []int{2}
        +	return fileDescriptor_test_e7f51bc1dc26f0b1, []int{2}
         }
         
         var extRange_OtherBase = []proto.ExtensionRange{
        @@ -493,7 +493,7 @@
         func (m *ReplyExtensions) String() string { return proto.CompactTextString(m) }
         func (*ReplyExtensions) ProtoMessage()    {}
         func (*ReplyExtensions) Descriptor() ([]byte, []int) {
        -	return fileDescriptor_test_2309d445eee26af7, []int{3}
        +	return fileDescriptor_test_e7f51bc1dc26f0b1, []int{3}
         }
         func (m *ReplyExtensions) XXX_Unmarshal(b []byte) error {
         	return xxx_messageInfo_ReplyExtensions.Unmarshal(m, b)
        @@ -551,7 +551,7 @@
         func (m *OtherReplyExtensions) String() string { return proto.CompactTextString(m) }
         func (*OtherReplyExtensions) ProtoMessage()    {}
         func (*OtherReplyExtensions) Descriptor() ([]byte, []int) {
        -	return fileDescriptor_test_2309d445eee26af7, []int{4}
        +	return fileDescriptor_test_e7f51bc1dc26f0b1, []int{4}
         }
         func (m *OtherReplyExtensions) XXX_Unmarshal(b []byte) error {
         	return xxx_messageInfo_OtherReplyExtensions.Unmarshal(m, b)
        @@ -589,7 +589,7 @@
         func (m *OldReply) String() string { return proto.CompactTextString(m) }
         func (*OldReply) ProtoMessage()    {}
         func (*OldReply) Descriptor() ([]byte, []int) {
        -	return fileDescriptor_test_2309d445eee26af7, []int{5}
        +	return fileDescriptor_test_e7f51bc1dc26f0b1, []int{5}
         }
         
         func (m *OldReply) MarshalJSON() ([]byte, error) {
        @@ -649,7 +649,7 @@
         func (m *Communique) String() string { return proto.CompactTextString(m) }
         func (*Communique) ProtoMessage()    {}
         func (*Communique) Descriptor() ([]byte, []int) {
        -	return fileDescriptor_test_2309d445eee26af7, []int{6}
        +	return fileDescriptor_test_e7f51bc1dc26f0b1, []int{6}
         }
         func (m *Communique) XXX_Unmarshal(b []byte) error {
         	return xxx_messageInfo_Communique.Unmarshal(m, b)
        @@ -1020,7 +1020,7 @@
         func (m *Communique_SomeGroup) String() string { return proto.CompactTextString(m) }
         func (*Communique_SomeGroup) ProtoMessage()    {}
         func (*Communique_SomeGroup) Descriptor() ([]byte, []int) {
        -	return fileDescriptor_test_2309d445eee26af7, []int{6, 0}
        +	return fileDescriptor_test_e7f51bc1dc26f0b1, []int{6, 0}
         }
         func (m *Communique_SomeGroup) XXX_Unmarshal(b []byte) error {
         	return xxx_messageInfo_Communique_SomeGroup.Unmarshal(m, b)
        @@ -1057,7 +1057,7 @@
         func (m *Communique_Delta) String() string { return proto.CompactTextString(m) }
         func (*Communique_Delta) ProtoMessage()    {}
         func (*Communique_Delta) Descriptor() ([]byte, []int) {
        -	return fileDescriptor_test_2309d445eee26af7, []int{6, 1}
        +	return fileDescriptor_test_e7f51bc1dc26f0b1, []int{6, 1}
         }
         func (m *Communique_Delta) XXX_Unmarshal(b []byte) error {
         	return xxx_messageInfo_Communique_Delta.Unmarshal(m, b)
        @@ -1120,9 +1120,9 @@
         	proto.RegisterExtension(E_Donut)
         }
         
        -func init() { proto.RegisterFile("my_test/test.proto", fileDescriptor_test_2309d445eee26af7) }
        +func init() { proto.RegisterFile("my_test/test.proto", fileDescriptor_test_e7f51bc1dc26f0b1) }
         
        -var fileDescriptor_test_2309d445eee26af7 = []byte{
        +var fileDescriptor_test_e7f51bc1dc26f0b1 = []byte{
         	// 1033 bytes of a gzipped FileDescriptorProto
         	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x7c, 0x55, 0xdd, 0x6e, 0xe3, 0x44,
         	0x14, 0xce, 0xd8, 0x71, 0x7e, 0x4e, 0x42, 0x6b, 0x46, 0x55, 0x6b, 0x05, 0xed, 0xd6, 0x04, 0x8a,
    golden_test.go:113: golden file differs: proto3/proto3.pb.go
        --- testdata/proto3/proto3.pb.go	2018-08-14 21:14:27.000000000 +0000
        +++ /tmp/proto-test244079420/proto3/proto3.pb.go	2019-02-01 04:09:39.408424830 +0000
        @@ -44,7 +44,7 @@
         	return proto.EnumName(Request_Flavour_name, int32(x))
         }
         func (Request_Flavour) EnumDescriptor() ([]byte, []int) {
        -	return fileDescriptor_proto3_a752e09251f17e01, []int{0, 0}
        +	return fileDescriptor_proto3_cc18a47128702b1b, []int{0, 0}
         }
         
         type Request struct {
        @@ -62,7 +62,7 @@
         func (m *Request) String() string { return proto.CompactTextString(m) }
         func (*Request) ProtoMessage()    {}
         func (*Request) Descriptor() ([]byte, []int) {
        -	return fileDescriptor_proto3_a752e09251f17e01, []int{0}
        +	return fileDescriptor_proto3_cc18a47128702b1b, []int{0}
         }
         func (m *Request) XXX_Unmarshal(b []byte) error {
         	return xxx_messageInfo_Request.Unmarshal(m, b)
        @@ -129,7 +129,7 @@
         func (m *Book) String() string { return proto.CompactTextString(m) }
         func (*Book) ProtoMessage()    {}
         func (*Book) Descriptor() ([]byte, []int) {
        -	return fileDescriptor_proto3_a752e09251f17e01, []int{1}
        +	return fileDescriptor_proto3_cc18a47128702b1b, []int{1}
         }
         func (m *Book) XXX_Unmarshal(b []byte) error {
         	return xxx_messageInfo_Book.Unmarshal(m, b)
        @@ -169,9 +169,9 @@
         	proto.RegisterEnum("proto3.Request_Flavour", Request_Flavour_name, Request_Flavour_value)
         }
         
        -func init() { proto.RegisterFile("proto3/proto3.proto", fileDescriptor_proto3_a752e09251f17e01) }
        +func init() { proto.RegisterFile("proto3/proto3.proto", fileDescriptor_proto3_cc18a47128702b1b) }
         
        -var fileDescriptor_proto3_a752e09251f17e01 = []byte{
        +var fileDescriptor_proto3_cc18a47128702b1b = []byte{
         	// 306 bytes of a gzipped FileDescriptorProto
         	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x3c, 0x90, 0xcf, 0x4e, 0xf2, 0x40,
         	0x14, 0xc5, 0x99, 0xfe, 0xf9, 0x80, 0xfb, 0xa1, 0x19, 0xaf, 0x26, 0x8e, 0x1b, 0x33, 0x61, 0xd5,
FAIL
exit status 1
FAIL	github.com/golang/protobuf/protoc-gen-go	0.568s

Comment 5 Zbigniew Jędrzejewski-Szmek 2019-03-03 15:12:58 UTC
A build was successfull: golang-googlecode-goprotobuf-1.2.0-2.fc30 [1].
Closing the bug.

[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=1188627


Note You need to log in before you can comment on or make changes to this bug.